SUBROUTINE SUWCOU

!**** *SETWCOU* - PRESET CONSTANTS *COMWCOU*.

!     P. VITERBO      E.C.M.W.F.      07/10/88

!     PURPOSE.
!     --------

!           PRESET CONSTANTS IN *YOEWCOU*.

!     INTERFACE.
!     ----------

!           *SETWCOU* IS CALLED FROM *INICOM*.

!     EXTERNALS
!     ---------

!           NONE.

!     Modified 97/06/13 J. Bidlot removal of nxcodc, nxcodu, nxcodv     
!     Modified 98/08/11 J. Bidlot CBEGDAT is now 12 character long 
!     Modified 05/01/14 G. Mozdzynski Optimise coupling communications
!        D.Salmond     22-Nov-2005 Mods for coarser/finer physics
!     Modified 06/08/16 J. Bidlot CBEGDAT is now 14 character long 
!     MODIFIED 08/02/01 J. Bidlot introduce WVWAMINIT

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE YOEWCOU  , ONLY : NLONW, NLATW, NDURAT, CBEGDAT, RMISSW
USE YOMDYN   , ONLY : TSTEP
USE YOMCT0   , ONLY : NSTOP
USE YOMRIP   , ONLY : NINDAT   ,NSSSSS

IMPLICIT NONE

INTEGER(KIND=JPIM) :: IHH, IMN, ISS
REAL(KIND=JPRB) :: ZHOOK_HANDLE


#include "fcttim.h"

IF (LHOOK) CALL DR_HOOK('SUWCOU',0,ZHOOK_HANDLE)


RMISSW = -999._JPRB

NLATW=1
NLONW=1

!     DEFINE INITIAL DATE

IHH=NCTH(NSSSSS)
IMN=REAL((NSSSSS-IHH*3600),JPRB)/60._JPRB
ISS=NSSSSS-IHH*3600-IMN*60
WRITE(CBEGDAT(1:8),'(I8)') NINDAT
WRITE(CBEGDAT(9:14),'(I6.6)') IHH*10000+IMN*100+ISS

!     DURATION IN MINUTES 

NDURAT=REAL(NSTOP,JPRB)*TSTEP/60._JPRB+0.01_JPRB


IF (LHOOK) CALL DR_HOOK('SUWCOU',1,ZHOOK_HANDLE)
END SUBROUTINE SUWCOU
